Author Topic: Help me find the name  (Read 3762 times)

0 Members and 1 Guest are viewing this topic.

Luke

  • Guest
Help me find the name
« on: January 23, 2009, 05:35:36 PM »
Look in this drawing.  I've drawn a green box around the block I'm interested in....

I can only find the temp names *U346.  Can comebody tell me how to find the original or how to get into this block in the dynamic block editor.


mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Re: Help me find the name
« Reply #1 on: January 23, 2009, 06:17:27 PM »
the single biggest reason one should NOT copy blocks, or use copy clip....are the resultant UNAMED blocks..
Be your Best


Michael Farrell
http://primeservicesglobal.com/

ronjonp

  • Needs a day job
  • Posts: 7527
Re: Help me find the name
« Reply #2 on: January 23, 2009, 06:56:57 PM »
Give this a whirl...if it crashes your session, try running..close the drawing saving changes, then reopen and your block should be ok.

Code: [Select]
(vla-put-name
  (vla-item (vla-get-blocks
      (vla-get-activedocument
(vlax-get-acad-object)
      )
    )
    (vla-get-effectivename
      (vlax-ename->vla-object (car (entsel)))
    )
  )
  "mynewblock"
)

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

Luke

  • Guest
Re: Help me find the name
« Reply #3 on: January 26, 2009, 08:28:10 AM »
that did it.  Thanks ronjonp

ronjonp

  • Needs a day job
  • Posts: 7527
Re: Help me find the name
« Reply #4 on: January 26, 2009, 09:58:40 AM »
that did it.  Thanks ronjonp

You're welcome :)

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC